#
# spec file for package gnome-common (Version 2.12.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gnome-common
BuildRequires:  gnome-filesystem pkgconfig
%define prefix		/opt/gnome
%define sysconfdir	/etc
Summary:        Commonly Used Files for the GNOME 2.x Desktop Platform
Version:        2.12.0
Release:        14.2
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Requires:       gnome-filesystem
Source:         gnome-common-%{version}.tar.bz2
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Gnome-common includes files used by most GNOME 2.x Desktop
applications.



Authors:
--------
    Darin Adler  <darin@eazel.com>
    Martin Baulig  <baulig@suse.de>

%debug_package
%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=%{prefix} \
	--sysconfdir=%{sysconfdir}
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc COPYING ChangeLog README
%{prefix}/bin/*
%{prefix}/share/aclocal/*
%{prefix}/share/gnome-common

%changelog -n gnome-common
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 20 2005 - rodrigo@suse.de
- Update to version 2.12.0.
* Thu Aug 04 2005 - sbrabec@suse.cz
- Updated to version 2.11.0.
* Mon Nov 22 2004 - sbrabec@suse.cz
- Fixed gnome-autogen.sh for multi-component GNOME2_PATH.
  http://bugzilla.gnome.org/show_bug.cgi?id=159062
* Thu Nov 18 2004 - gekker@suse.de
- Update to version 2.8.0
* Tue Aug 24 2004 - ro@suse.de
- support automake 1.9 as well
* Wed Aug 04 2004 - dobey@suse.de
- Add support for automake 1.8
* Mon Feb 23 2004 - sbrabec@suse.cz
- Set owner to root, not bin.
* Thu Nov 06 2003 - schwab@suse.de
- Fix directory permissions.
* Wed Oct 08 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 12 2003 - sbrabec@suse.cz
- Fixed directory packaging.
- Package marked as noarch.
* Mon Sep 09 2002 - kukuk@suse.de
- Remove all the not needed packages from neededforbuild
* Fri Jun 14 2002 - ro@suse.de
- move last change to glib2 package
* Fri Jun 14 2002 - ro@suse.de
- add gnome2.{sh,csh} to have /opt/gnome2/bin first in PATH
  on 7.3 and older distros
* Tue Apr 23 2002 - ro@suse.de
- fix gnome1 macros for current autoconf (LIBOBJ usage)
* Tue Mar 05 2002 - hhetter@suse.de
- shrink down #neededforbuild
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Tue Jan 08 2002 - hhetter@suse.de
- intial SuSE package for GNOME 2.0 platform
